删除 Storage Integration (V2)
This operation deletes a bucket storage integration. The project scope is resolved from the integration ID.
DELETE/v2/storageIntegrations/{integrationId}
该 API 的 Base URL 格式如下:
https://${CLUSTER_ENDPOINT}
📘说明
- 你需要填入您的 Zilliz Cloud 集群的
${CLUSTER_ENDPOINT}。 - 您可以使用 查看集群详情 V2 来获取集群的 Endpoint.
export CLUSTER_ENDPOINT=""
参数
Authorizationstringheaderrequired
认证令牌,应为具备适当权限的 API 密钥。
示例值:Bearer {{TOKEN}}
integrationIdstringpathrequired
Storage Integration ID。
示例值:integ-xxxxxxxxxxxxxxxxxxx
export TOKEN="db_admin:xxxxxxxxxxxxx"
export integrationId="integ-xxxxxxxxxxxxxxxxxxx"
curl --request DELETE \
--url "${CLUSTER_ENDPOINT}/v2/storageIntegrations/${integrationId}" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json"
响应200 - application/json
成功响应。
codeinteger
响应码。
示例值:0
dataobject
integrationIdstring
Storage Integration ID。
namestring
Storage Integration 名称。
失败响应。
codeinteger
响应码。
示例值:1800
messagestring
错误信息。
示例值:User hasn't authenticated
{
"code": 0,
"data": {
"integrationId": "integ-xxxxxxxxxxxxxxxxxxx",
"name": "analytics-oss"
}
}
{
"code": 1800,
"message": "User hasn't authenticated"
}